[changes]
* It is now possible to create PDF files according to the PDF/A-1b standard using a property in the PDF export dialog of the Java viewer or by the using new URL parameter "pdfa".
* Remote Interface: User "System Administrator" added. A login into the Remote-Interface without an administrated Login-URL will grant all rights to this user, called "System Administrator".
* URL parameter "colswidth" added. It specifies the column widths (fixed width) for CSV export.
* Excel export:
  * 1-byte characters can now be used as thousand separator. If 2-byte characters used, only the low byte will be shown.
  * The values of date and time will be converted to the client time zone, if the option 'useClientTimezone' has been set.
* New report url parameter "filename" to specify the target filename of the exported report.
* The method Engine.getRecordCount() now returns the record count for subreports, also.
* The formula statement 'option loop' and the basic variable type 'double' are fully supported now.
* Chart:
  * The behavior of continuous date line and area chart was changed. The line goes to the zero in the gaps between two values. This involves the series with following summary operations: sum, count, distinct count.
  * The grouping weekly in a continuous date chart uses sunday as first day of week, like the data grouping in the report. 
* Repository locations can now be enabled and disabled or administrated in the configiration manager.
* System Permissions: Guest account added.
* Data Source Configuration import: there were XML encoding issues when importing files with XML entities.
* It is possible to use private certificates for the login URL.

### i-net DesignerXML
* In the case a deadlock occurs, the designer will now offer a help page at startup for contacting support for further help.
* It is now possible to set a different grid distance for the x and y coordinates in the Design view - i.e. using a rectangular grid rather than a square one.
* New unit "grid points" added. It allows to place report elements according to grid point distances. 
* Formula Editor: Function "CurrentDrillDownLevel" has been replaced with "DrillDownGroupLevel". At runtime "CurrentDrillDownLevel" is supported for downward compatibility.
* Paragraph attributes are also displayed in design view.
* Menu items undo / redo added to the popup menu of text elements.
* Methods DesignerDataModel.getAvailableFontsFromRepository() and DesignerDataModel.createViewer() added.
* It is now possible to set the "first line indent" value for each individual paragraph in a text label.

[changes:de]
* Es ist nun möglich, PDF-Dateien nach dem PDF/A-1b-Standard zu erstellen, indem eine Eigenschaft im PDF-Exportdialog des Java-Viewers oder der neue URL-Parameter "pdfa" verwendet wird.
* Remote-Schnittstelle: Benutzer "Systemadministrator" hinzugefügt. Ein Login in das Remote-Interface ohne verwaltete Login-URL gewährt diesem Benutzer, genannt "System Administrator", alle Rechte.
* URL-Parameter "colswidth" hinzugefügt. Er gibt die Spaltenbreiten (feste Breite) für den CSV-Export an.
* Excel-Export:
  * 1-Byte-Zeichen können jetzt als Tausendertrennzeichen verwendet werden. Wenn 2-Byte-Zeichen verwendet werden, wird nur das untere Byte angezeigt.
  * Die Werte von Datum und Uhrzeit werden in die Client-Zeitzone konvertiert, wenn die Option 'useClientTimezone' gesetzt wurde.
* Neuer report url Parameter "filename" zur Angabe des Zieldateinamens des exportierten Berichts.
* Die Methode Engine.getRecordCount() gibt nun auch die Anzahl der Datensätze für Subreports zurück.
* Die Formelanweisung 'option loop' und der Basisvariablentyp 'double' werden nun vollständig unterstützt.
* Diagramm:
  * Das Verhalten von kontinuierlichen Datumslinien und Flächendiagrammen wurde geändert. Die Linie geht in den Lücken zwischen zwei Werten auf die Null. Dies betrifft die Reihen mit folgenden Zusammenfassungsoperationen: Summe, Zählung, eindeutige Zählung.
  * Die wöchentliche Gruppierung in einem Diagramm mit fortlaufendem Datum verwendet den Sonntag als ersten Tag der Woche, wie die Datengruppierung im Bericht.
* Repository-Standorte können jetzt im Konfigurationsmanager aktiviert und deaktiviert oder verwaltet werden.
* System-Berechtigungen: Gastkonto hinzugefügt.
* Import der Datenquellenkonfiguration: Es gab Probleme mit der XML-Kodierung beim Import von Dateien mit XML-Entitäten.
* Es ist möglich, private Zertifikate für die Login-URL zu verwenden.

### i-net DesignerXML
* Falls ein Deadlock auftritt, bietet der Designer nun beim Start eine Hilfeseite an, um den Support für weitere Hilfe zu kontaktieren.
* Es ist nun möglich, einen anderen Rasterabstand für die x- und y-Koordinaten in der Design-Ansicht einzustellen - d.h. ein rechteckiges Raster anstelle eines quadratischen zu verwenden.
* Neue Einheit "Rasterpunkte" hinzugefügt. Sie ermöglicht die Platzierung von Berichtselementen entsprechend den Rasterpunktabständen.
* Formel-Editor: Die Funktion "CurrentDrillDownLevel" wurde durch "DrillDownGroupLevel" ersetzt. Zur Laufzeit wird "CurrentDrillDownLevel" aus Gründen der Abwärtskompatibilität unterstützt.
* Absatzattribute werden auch in der Entwurfsansicht angezeigt.
* Menüpunkte Undo / Redo zum Popup-Menü von Textelementen hinzugefügt.
* Methoden DesignerDataModel.getAvailableFontsFromRepository() und DesignerDataModel.createViewer() hinzugefügt.
* Es ist jetzt möglich, den Wert "first line indent" für jeden einzelnen Absatz in einer Textbeschriftung zu setzen.

[bugfixes]
* TrueType fonts which were incorrectly initialized were displayed with a height of 0.
* Property "Print At Bottom of Page" did not work correctly for areas. Each section of an area was displayed at the bottom of a separate page.
* There was a rarely occurring problem that old reports with summary fields were not able to be read.
* Endless loop occurred if Underlay Following Section was enabled for a large section.
* StackOverflowError occurred if nested if-then-else statements used in formulas.
* There was a problem reading a Crystal Reports template with ReportReader, the message was "Object reference not set to an instance of an object".
* Exception "Invalid render state" occurred if a "new page after" section was encountered before a section had been displayed.
* Lines and boxes that are continued on the next page, started under the page header. Now, they start under the repeated group header.
* Lines with "Move to Bottom of Section when Printing" enabled were not displayed on the next page if the section spanned multiple pages. 
* Element borders were drawn into adjacent sections if the element was on the edge of the section.
* The multi-column layout of a report was incorrect if it was used together with the section property "Underlay Following Sections".
* The set line width of boxes was used for positioning the boxes even when line style was set to NO_LINE.
* Formulas:
  * The population standard deviation summary function now returns an empty value until a valid value has been read.
  * Because of a bug it was not possible to use string range promts in formulas.
  * Problems with user-defined functions occurred if Java primitive types were used as method parameters.
  * The formula function 'isnull' was executable on the database if it's parameter was a boolean field.
  * It was not possible to overwrite a variable, that was created with StoreNumberVar in the main report, with StoreNumberVar in the subreport.
* Excel Export: 
  * Cross-Tabs were incorrectly displayed when exporting the report to Excel format. The first column was not exported.
  * Thousand separator not displayed if procent format was used.
  * The position of the '%' -symbol has not been set, if the log level was lesser than WARNING. 
* Security issue: Using a modified report URL, it was possible to download files from the i-net Crystal-Clear web context, if the file crystal.war was unpacked.
* Report Reader: Mailing label and multi column reports were not read properly by the .NET-based Report Reader.
* A subreport in the page footer was not displayed if the first subreport section was higher than the subreport itself.
* Error with database column of type CHAR occurred if it contains empty strings.
* If muliple directories has been specified in "Font Path" property and occurred an error during reading fonts from one directory, then the other directory was not read.
* Names of embedded fonts in the font path has been searched only case sensitive.
* NullPointerException occurred if user defined string collation for grouping and sorting was used with an empty locale.
* IllegalDatePeriodException occurred if time field was used as column or row in a crosstab.
* Changing the alias of a table source led to problems when the report had an SQLField as an element in the report.
* An endless loop in the scheduler occurred with large scheduler jobs, if hard disk cache or database cache was used.
* ReportReader: The formatting of field parts in text labels was not correctly read from Crystal Reports templates.
* Text export:
  * Some lines in cross-tabs were missing.
  * Because of the shadow of lines blank rows occurred in a crosstab.
* Data export:
  * It has occurred that columns of the exported csv file contains records of multiple database fields or special fields, e.g. Page Number.
* Set and reset reference of a summary field by group with TopN was faulty.
* Error in SQL statement: Comma between tables in the From clause was missing, if a stored procedure and more than one table has been joined.
* PDF export:
  * Subreports containing images, were sometimes not included in the created PDF file.
  * If the property 'Replace Missing Characters' was enabled, then subreports were sometimes not included in the created PDF file.
  * Unicode characters, containing some special byte values(0x28,0x29,0x5c), could not be displayed correctly in the bookmarks of the PDF file.
* Sometimes cache was hanging for 15 minutes after refresh button in Java report viewer was clicked, if embedded fonts were used.
* N-datatypes of JDBC 4 (e.g. NClob) not supported, if Java 6 was used.
* Translations in the report was not used for parameter fields (prompts) and formulas.
* Scheduler: It was not possible to use embedded fonts with the print action of the scheduler.
* For elements using simple HTML interpretation, justified bullet lists were not justified in the first line.
* A rare bug that caused an extra empty line in text fields including field parts and empty lines was fixed.
* RTF export: Not transparent images were not displayed, if the RTF files was opened in editors, like: OpenOffice writer.
* A vertical line or box from the page header to group footer section was not drawn on a page, if it was the group footer of the last record, the group footer was on the top of the next page and there was no group footer on the current page.
* The methods RDC.loadEngine(File file) and RDC.loadEngine(File file, xxx) could not read report templates that was saved as directory.
* Excel Export: 
  * If the first group is invisible and the group header in the second group is suppressed and the group footer in the second group contains some data, the new sheets pro first group have not been created.
  * Text strings was formatted with STANDARD-Format instead of TEXT-Format. Therefore numbers and dates, that are written as text, was shown in Open Office with an apostrophe as first character.
  * No columns were added to the .xls file for thin field or text elements (width < 3mm).
* The height of a section was increased to the default crosstab height, if the section contains a very small crosstab (smaller than the crosstab default height) and if the height of the section was smaller than the default crosstab height.
* Because of a bug in the Java VM on the Mac OS, a security exception occurred if a not privileged user tries to use user preferences and i-net Crystal-Clear internally tries to use the System preferences.
* ArrayIndexOutOfBoundsException in the translator occurred if the same placeholder, e.g. {0}, was used multiple times within the same string.
* Fields in the subreport were not displayed, if the property "Suppress if Duplicated" was activated and the text interpretation "Html (advanced)" was used.
* The text property "Manual Formatting" was not working correctly in many cases, if it was used for crosstab fields.
* ArrayIndexOutOfBoundsException occurred during the execution of a report that was designed with i-net Crystal-Clear version 10.
* Infinite loop occurred, if "Suppress if Blank" was enabled for a section that contains an empty subreport with enabled "Suppress report if no rows".
* ArrayIndexOutOfBoundsException in RTF export occurred.
* The toWords function has used the server locale instead of the default locale. Therefore toWords with an English output was not possible on a server with Chinese locale.
* It was not possible to change the default font style Bold of field elements in a crosstab to another style, e.g. Standard. After reopening the rpt file, the style was again set to Bold.
* OutOfMemoryError occurred, if Remote Interface or Repository Browser were used heavily.
* Security fix to prevent cross-site scripting (XSS).
* In some cases a performance issue has occurred on Linux servers.
* PDF Export:
  * Error "OTF type is not set!" has occurred during PDF export, if non-embeddable fonts were used.
  * Sometimes file handles for embedded fonts were not closed. Therefore the exception "too many open files" could occur.
  * It could occur that characters of east european fonts were not displaed, if non-embeddable fonts were used.
  * With enabled area keep together in some cases the Java viewer has shown the page before after a click on a group tree node.
* StackOverFlow/infinite loop on auto-generated summary fields has occurred.
* Problem with Apache Derby DB during connection creation occurred.
* In the excel export a slash as delimiter in a custom date format was displayed using the locale default delimiter. Now, a slash is used independent of the locale.
* In rare cases a NullPointerException occurred during font initialization, if statistic data was empty.
* IllegalArgumentException occurred: The name of a sum field cannot be empty.
* Invalid license key exception occurred sometimes if BouncyCastle JCE provider was used.
* Reports loaded from a remote repository were not correctly rendered anew each time in the Designer but rather would sometimes return cached results.
* Data Source Configuration export: Encoding issue with umlauts and other special characters occurred.
* The help frame for the remote datasource configuration web tool had incorrect formatting and was difficult to read.
* Using Opera 9 in a non-English locale, some of the remote interface's help pages and labels were mixed English and foreign language. This was due to an Opera 9 bug, and a workaround was found.
* It was not possible to import a properties file containing the key "allow.param.dll" as a configuration.

### i-net Crystal-Clear - Java Viewer
* Method showPrompts() added to ViewerContext, enabling you to customize prompting behavior of the viewer by providing your own ViewerContext.
* Help button added to the export dialog.

### i-net Crystal-Clear - Java Viewer
* Parameter Fields dialog
  * Date time ranges only went to midnight in the AM of the end date instead of up until midnight of the day following the end date.
  * Various issues were fixed for the date range prompt dialog, including date ranges not being stored correctly for later prompts.
  * The prompt dialog had graphical issues on systems with text sizes turned to a larger DPI for accessibility.
  * Time prompts did not accept time entries unless the exact second was entered as well. A time prompt will now accept a simple "10:12 am" as well.
  * When reloading a prompt dialog with a prompt accepting multiple values, the descriptions of the values would disappear.
  * Using 120 DPI under Windows 7 could lead to a graphics issue with the prompt dialog.
* Used in a record selection formula, a date range prompt only went until midnight in the AM of the ending date. This means any date times during the ending day of the range were viewed as outside of, rather than inside the range.
* File extension of the default file name in the export dialog was missing if the file name or report title contains 2 dots.
* A deadlock has occurred sometimes, if reports was printed in the background using SwingReportView in the EventThread.
* Formular Printing: Although the property "Enable Formular Printing" was enabled, it was not possible to print in the non-printable area with some printers.
* Print dialog ignores PrintService in PrinterJob if SwingReportView.showPrintDialog(Component, PrinterJob, HashPrintRequestAttributeSet) was called.
* The width of the margins on the printout did not match the designed margins, if the default paper size of the printer was Letter and the designed paper size was A4 and vice versa and you changed the paper size in the print dialog to the designed paper size.
* Endless loop occurred because of java.util.WeakHashMap, which a non-thread safe object.
* Attribut "Permissions" was missing in the manifest file of ReportViewer.jar. This is required since Java 7 update 45.

### i-net DesignerXML
* Drag and Drop was not possible in text elements.
* SQLField optimized: The database used to be contacted when loading a report into the designer if there were any SQLFields. Now it will only be contacted at design time if an SQLField has an unknown value type.
* NullPointerException occurred sometimes while closing the i-net DesignerXML application.
* Memory leak occurred during editing of text fields.
* Loading a report from the repository, making a change, and then saving the report again without looking at its preview caused the report's stored thumbnail to disappear.
* Visual Database Wizard:
  * Adding a data source to a report which contained SQL fields was incorrectly not allowed.
  * The default SQL statement created for converting a report to SQL from within the Visual Database Wizard was not correct if the report contained a Stored Procedure as a table source.
* Parameter Field Properties:
  * Various usability issues and bugs regarding date and datetime formatting have been fixed.
* Canceling an attempted database connection caused an error to be displayed even though the connection was closed correctly.
* SQL Expression Editor:
  * Adding an SQL expression field to a report which contained a data source still needing a valid password was not possible - now, the password is requested instead.
* Formula Editor:
  * The formula function "DefaultAttribute" has not worked on any property. If the property does not support a user defined default, now the function returns null instead of an error.
* Translator:
  * The translations in subreports were not stored in the rpt file.
  * It was not possible to translate subreports on demand using translator.
  * At execution time, the translations were not used for parameter fields and strings in formulas.
  * It was sometimes not possible to translate strings in a subreport using the translator.
  * It was not possible to use the same placeholder, e.g. {0}, multiple times within the same string.
* Copy and paste from/to programs with HTML clipboard format did not work.
* Default format for fields did not work, if the fields has been embedded into text fields.
* If a property formula could not be parsed, the property dialog was not displayed.
* A selected report element was removed from the report, if the delete key was pressed to delete a field in the field browser, e.g. a parameter field.
* The property "Possible undo steps" was removed from the Designer Options dialog, category "Editing".
* The property "Manual Formatting" in the "Property Editor", category "Text", was always disabled.
* Report as Folder:
  * If a report containing images was saved as folder, then it was not possible to reopen it, after the folder was added to the subversion control system.
  * If a report was saved as folder, the complete folder structure was overridden and not just the folder's content. Therefore the source control's .svn subfolders were removed completely.
* NullPointerException occurred after the refresh button in the Visual Database Wizard was clicked.

[bugfixes:de]
* TrueType-Schriften, die nicht korrekt initialisiert waren, wurden mit einer Höhe von 0 angezeigt.
* Die Eigenschaft "Unten auf der Seite drucken" funktionierte bei Bereichen nicht korrekt. Jeder Abschnitt eines Bereichs wurde unten auf einer separaten Seite angezeigt.
* Es gab ein selten auftretendes Problem, dass alte Berichte mit Statistikfeldern nicht gelesen werden konnten.
* Eine Endlosschleife trat auf, wenn "Unterlegen nach Abschnitt" für einen großen Abschnitt aktiviert war.
* StackOverflowFehler trat auf, wenn verschachtelte if-then-else-Anweisungen in Formeln verwendet wurden.
* Es gab ein Problem beim Lesen einer Crystal Reports-Vorlage mit ReportReader, die Meldung lautete "Object reference not set to an instance of an object".
* Die Ausnahme "Ungültiger Renderstatus" trat auf, wenn ein "Neue Seite nach"-Abschnitt gefunden wurde, bevor ein Abschnitt angezeigt wurde.
* Zeilen und Kästen, die auf der nächsten Seite fortgesetzt werden, begannen unter dem Seitenkopf. Jetzt beginnen sie unter der Kopfzeile der wiederholten Gruppe.
* Zeilen, bei denen die Option "Beim Drucken an das Ende des Abschnitts verschieben" aktiviert war, wurden nicht auf der nächsten Seite angezeigt, wenn sich der Abschnitt über mehrere Seiten erstreckte.
* Elementgrenzen wurden in angrenzende Abschnitte gezogen, wenn das Element am Rand des Abschnitts lag.
* Das mehrspaltige Layout eines Berichts war falsch, wenn es zusammen mit der Abschnittseigenschaft "Folgende Abschnitte unterlegen" verwendet wurde.
* Die eingestellte Linienbreite von Rahmen wurde für die Positionierung der Rahmen verwendet, auch wenn der Linienstil auf NO_LINE eingestellt war.
* Formeln:
  * Die Funktion für die Zusammenfassung der Bevölkerungsstandardabweichung gibt jetzt einen leeren Wert zurück, bis ein gültiger Wert gelesen wurde.
  * Aufgrund eines Fehlers war es nicht möglich, String Range Promts in Formeln zu verwenden.
  * Probleme mit benutzerdefinierten Funktionen traten auf, wenn Java-Primitivtypen als Methodenparameter verwendet wurden.
  * Die Formelfunktion 'isnull' war auf der Datenbank ausführbar, wenn ihr Parameter ein boolesches Feld war.
  * Es war nicht möglich, eine Variable, die mit StoreNumberVar im Hauptbericht erstellt wurde, mit StoreNumberVar im Unterbericht zu überschreiben.
* Excel-Export:
  * Beim Exportieren des Berichts in das Excel-Format wurden die Kreuztabellen nicht korrekt angezeigt. Die erste Spalte wurde nicht exportiert.
  * Tausendertrennzeichen wurde nicht angezeigt, wenn das Prozentformat verwendet wurde.
  * Die Position des '%'-Symbols wurde nicht gesetzt, wenn die Protokollstufe kleiner als WARNING war.
* Sicherheitsproblem: Mit einer geänderten Berichts-URL war es möglich, Dateien aus dem i-net Crystal-Clear Web-Kontext herunterzuladen, wenn die Datei crystal.war entpackt wurde.
* Berichtsleser: Mailing-Label und mehrspaltige Berichte wurden vom .NET-basierten Report Reader nicht richtig gelesen.
* Ein Subreport in der Fußzeile wurde nicht angezeigt, wenn der erste Subreport-Abschnitt höher war als der Subreport selbst.
* Es trat ein Fehler bei Datenbankspalten vom Typ CHAR auf, wenn diese leere Zeichenfolgen enthielten.
* Wenn mehrere Verzeichnisse in der Eigenschaft "Schriftartenpfad" angegeben wurden und ein Fehler beim Lesen von Schriftarten aus einem Verzeichnis auftrat, wurde das andere Verzeichnis nicht gelesen.
* Die Namen der eingebetteten Schriftarten im Schriftartenpfad wurden nur unter Berücksichtigung der Groß- und Kleinschreibung durchsucht.
* NullPointerException trat auf, wenn eine benutzerdefinierte String-Kollation für die Gruppierung und Sortierung mit einem leeren Gebietsschema verwendet wurde.
* IllegalDatePeriodException trat auf, wenn das Zeitfeld als Spalte oder Zeile in einer Kreuztabelle verwendet wurde.
* Das Ändern des Alias einer Tabellenquelle führte zu Problemen, wenn der Bericht ein SQLField als Element im Bericht hatte.
* Eine Endlosschleife im Scheduler trat bei großen Scheduler-Jobs auf, wenn Festplatten-Cache oder Datenbank-Cache verwendet wurde.
* BerichtLeser: Die Formatierung von Feldteilen in Textbeschriftungen wurde nicht korrekt aus Crystal Reports Vorlagen gelesen.
* Text-Export:
  * Einige Zeilen in Kreuztabellen fehlten.
  * Durch den Schatten von Zeilen kam es zu leeren Zeilen in einer Kreuztabelle.
* Datenexport:
  * Es ist vorgekommen, dass Spalten der exportierten csv-Datei Datensätze von mehreren Datenbankfeldern oder speziellen Feldern, z.B. Seitenzahl, enthalten.
* Das Setzen und Zurücksetzen des Bezugs eines Statistikfeldes nach Gruppe mit TopN war fehlerhaft.
* Fehler in der SQL-Anweisung: Komma zwischen Tabellen in der From-Klausel fehlte, wenn eine Stored Procedure und mehr als eine Tabelle verbunden wurden.
* PDF-Export:
  * Teilberichte, die Bilder enthielten, wurden manchmal nicht in die erstellte PDF-Datei aufgenommen.
  * Wenn die Eigenschaft "Replace Missing Characters" aktiviert war, wurden Unterberichte manchmal nicht in die erstellte PDF-Datei aufgenommen.
  * Unicode-Zeichen, die einige spezielle Byte-Werte (0x28, 0x29, 0x5c) enthalten, konnten in den Lesezeichen der PDF-Datei nicht korrekt angezeigt werden.
* Manchmal blieb der Cache 15 Minuten lang hängen, nachdem die Aktualisierungsschaltfläche im Java Report Viewer angeklickt wurde, wenn eingebettete Schriftarten verwendet wurden.
* N-Datentypen von JDBC 4 (z.B. NClob) wurden nicht unterstützt, wenn Java 6 verwendet wurde.
* Übersetzungen im Bericht wurden nicht für Parameterfelder (Prompts) und Formeln verwendet.
* Planer: Es war nicht möglich, eingebettete Schriftarten mit der Druckaktion des Schedulers zu verwenden.
* Bei Elementen mit einfacher HTML-Interpretation wurden Aufzählungslisten mit Blocksatz in der ersten Zeile nicht gerechtfertigt.
* Ein seltener Fehler, der eine zusätzliche Leerzeile in Textfeldern einschließlich Feldteilen und Leerzeilen verursachte, wurde behoben.
* RTF-Export: Nicht transparente Bilder wurden nicht angezeigt, wenn die RTF-Dateien in Editoren wie z.B.: OpenOffice writer.
* Eine vertikale Linie oder Box vom Seitenkopf zum Gruppenfußbereich wurde auf einer Seite nicht gezeichnet, wenn es sich um den Gruppenfuß des letzten Datensatzes handelte, der Gruppenfuß oben auf der nächsten Seite war und es keinen Gruppenfuß auf der aktuellen Seite gab.
* Die Methoden RDC.loadEngine(File file) und RDC.loadEngine(File file, xxx) konnten keine Berichtsvorlagen lesen, die als Verzeichnis gespeichert waren.
* Excel-Export:
  * Wenn die erste Gruppe unsichtbar ist und der Gruppenkopf in der zweiten Gruppe unterdrückt ist und die Gruppenfußzeile in der zweiten Gruppe Daten enthält, wurden die neuen Blätter pro erste Gruppe nicht erstellt.
  * Textstrings wurden mit STANDARD-Format statt TEXT-Format formatiert. Daher wurden Zahlen und Datumsangaben, die als Text geschrieben werden, in Open Office mit einem Hochkomma als erstes Zeichen angezeigt.
  * Der .xls-Datei wurden keine Spalten für dünne Felder oder Textelemente (Breite < 3 mm) hinzugefügt.
* Die Höhe eines Abschnitts wurde auf die Standard-Kreuztabellenhöhe erhöht, wenn der Abschnitt eine sehr kleine Kreuztabelle enthält (kleiner als die Standard-Kreuztabellenhöhe) und wenn die Höhe des Abschnitts kleiner als die Standard-Kreuztabellenhöhe war.
* Aufgrund eines Fehlers in der Java VM auf dem Mac OS trat eine Sicherheitsausnahme auf, wenn ein nicht privilegierter Benutzer versucht, die Benutzereinstellungen zu verwenden und i-net Crystal-Clear intern versucht, die Systemeinstellungen zu verwenden.
* ArrayIndexOutOfBoundsException im Übersetzer trat auf, wenn derselbe Platzhalter, z.B. {0}, mehrfach innerhalb desselben Strings verwendet wurde.
* Felder im Unterbericht wurden nicht angezeigt, wenn die Eigenschaft "Bei Duplikaten unterdrücken" aktiviert war und die Textinterpretation "Html (erweitert)" verwendet wurde.
* Die Texteigenschaft "Manuelle Formatierung" funktionierte in vielen Fällen nicht korrekt, wenn sie für Kreuztabellenfelder verwendet wurde.
* ArrayIndexOutOfBoundsException trat bei der Ausführung eines Berichts auf, der mit i-net Crystal-Clear Version 10 erstellt wurde.
* Eine Endlosschleife trat auf, wenn "Unterdrücken, wenn leer" für einen Abschnitt aktiviert war, der einen leeren Unterbericht mit aktivierter Option "Bericht unterdrücken, wenn keine Zeilen" enthält.
* ArrayIndexOutOfBoundsException im RTF-Export aufgetreten.
* Die Funktion toWords hat das Servergebietsschema anstelle des Standardgebietsschemas verwendet. Daher war toWords mit einer englischen Ausgabe auf einem Server mit chinesischem Gebietsschema nicht möglich.
* Es war nicht möglich, die Standardschriftart Bold von Feldelementen in einer Kreuztabelle in eine andere Schriftart, z.B. Standard, zu ändern. Nach erneutem Öffnen der rpt-Datei wurde der Stil wieder auf Bold gesetzt.
* OutOfMemoryError trat auf, wenn Remote Interface oder Repository Browser stark genutzt wurden.
* Sicherheitskorrektur zur Verhinderung von Cross-Site-Scripting (XSS).
* In einigen Fällen ist ein Leistungsproblem auf Linux-Servern aufgetreten.
* PDF-Export:
  * Der Fehler "OTF type is not set!" ist beim PDF-Export aufgetreten, wenn nicht einbettbare Schriften verwendet wurden.
  * Manchmal wurden Datei-Handles für eingebettete Schriftarten nicht geschlossen. Daher konnte die Ausnahme "zu viele offene Dateien" auftreten.
  * Es konnte vorkommen, dass Zeichen osteuropäischer Schriftarten nicht verdrängt wurden, wenn nicht einbettbare Schriftarten verwendet wurden.
  * Bei aktiviertem Bereich zusammenhalten hat der Java-Viewer in einigen Fällen nach einem Klick auf einen Gruppenbaumknoten die Seite vorher angezeigt.
* StackOverFlow/Endlosschleife bei automatisch generierten Zusammenfassungsfeldern ist aufgetreten.
* Problem mit Apache Derby DB während des Verbindungsaufbaus ist aufgetreten.
* Im Excel-Export wurde ein Schrägstrich als Begrenzungszeichen in einem benutzerdefinierten Datumsformat mit dem Standardbegrenzungszeichen des Gebietsschemas angezeigt. Jetzt wird ein Schrägstrich unabhängig vom Gebietsschema verwendet.
* In seltenen Fällen trat bei der Schriftinitialisierung eine NullPointerException auf, wenn die Statistikdaten leer waren.
* IllegalArgumentException aufgetreten: Der Name eines Summenfeldes kann nicht leer sein.
* Invalid license key exception trat manchmal auf, wenn BouncyCastle JCE provider verwendet wurde.
* Berichte, die aus einem entfernten Repository geladen wurden, wurden im Designer nicht jedes Mal korrekt neu gerendert, sondern gaben manchmal zwischengespeicherte Ergebnisse zurück.
* Export der Datenquellenkonfiguration: Es gab ein Kodierungsproblem mit Umlauten und anderen Sonderzeichen.
* Der Hilfsrahmen für das Webtool zur Konfiguration der entfernten Datenquelle hatte eine falsche Formatierung und war schwer zu lesen.
* Bei der Verwendung von Opera 9 in einem nicht-englischen Gebietsschema waren einige der Hilfeseiten und Beschriftungen der Remote-Schnittstelle gemischt in Englisch und einer anderen Sprache. Dies war auf einen Fehler in Opera 9 zurückzuführen, und es wurde ein Workaround gefunden.
* Es war nicht möglich, eine Eigenschaftsdatei, die den Schlüssel "allow.param.dll" enthält, als Konfiguration zu importieren.

### i-net Crystal-Clear - Java Viewer
* Methode showPrompts() zu ViewerContext hinzugefügt, so dass Sie das Prompting-Verhalten des Viewers anpassen können, indem Sie Ihren eigenen ViewerContext bereitstellen.
* Hilfe-Schaltfläche zum Export-Dialog hinzugefügt.

### i-net Crystal-Clear - Java Viewer
* Dialog Parameterfelder
  * Datumszeitbereiche gingen nur bis Mitternacht in der Früh des Enddatums statt bis Mitternacht des auf das Enddatum folgenden Tages.
  * Verschiedene Probleme wurden für den Dialog zur Eingabeaufforderung für Datumsbereiche behoben, einschließlich der Tatsache, dass Datumsbereiche für spätere Eingabeaufforderungen nicht korrekt gespeichert wurden.
  * Der Eingabeaufforderungsdialog hatte grafische Probleme auf Systemen, bei denen die Textgröße aus Gründen der Barrierefreiheit auf einen größeren DPI-Wert eingestellt war.
  * Zeitabfragen akzeptierten keine Zeitangaben, wenn nicht auch die exakte Sekunde eingegeben wurde. Eine Zeitansage akzeptiert nun auch ein einfaches "10:12 Uhr".
  * Beim erneuten Laden eines Eingabeaufforderungsdialogs mit einer Eingabeaufforderung, die mehrere Werte akzeptiert, verschwanden die Beschreibungen der Werte.
  * Die Verwendung von 120 DPI unter Windows 7 konnte zu einem Grafikproblem mit dem Abfragedialog führen.
* Bei der Verwendung in einer Datensatzauswahlformel ging eine Datumsbereichsabfrage nur bis Mitternacht in der Nacht des Enddatums. Das bedeutet, dass alle Datumszeiten während des Endtages des Bereichs als außerhalb und nicht als innerhalb des Bereichs angesehen wurden.
* Die Dateierweiterung des Standarddateinamens im Exportdialog fehlte, wenn der Dateiname oder der Berichtstitel 2 Punkte enthielt.
* Ein Deadlock ist manchmal aufgetreten, wenn Berichte im Hintergrund mit SwingReportView im EventThread gedruckt wurden.
* Formulardruck: Obwohl die Eigenschaft "Enable Form Printing" aktiviert war, konnte bei einigen Druckern nicht in den nicht druckbaren Bereich gedruckt werden.
* Druckdialog ignoriert PrintService im PrinterJob, wenn SwingReportView.showPrintDialog(Component, PrinterJob, HashPrintRequestAttributeSet) aufgerufen wurde.
* Die Breite der Ränder auf dem Ausdruck stimmte nicht mit den entworfenen Rändern überein, wenn das Standardpapierformat des Druckers Letter und das entworfene Papierformat A4 war und umgekehrt und Sie das Papierformat im Druckdialog auf das entworfene Papierformat geändert haben.
* Eine Endlosschleife trat auf, weil java.util.WeakHashMap, ein nicht thread-sicheres Objekt, verwendet wurde.
* Das Attribut "Permissions" fehlte in der Manifestdatei von ReportViewer.jar. Dies ist seit Java 7 Update 45 erforderlich.

### i-net DesignerXML
* Drag and Drop war bei Textelementen nicht möglich.
* SQLField optimiert: Bisher wurde beim Laden eines Berichts in den Designer die Datenbank kontaktiert, wenn SQLFields vorhanden waren. Jetzt wird sie nur noch zur Designzeit kontaktiert, wenn ein SQLField einen unbekannten Wertetyp hat.
* NullPointerException trat manchmal beim Schließen der i-net DesignerXML-Anwendung auf.
* Bei der Bearbeitung von Textfeldern trat ein Speicherleck auf.
* Das Laden eines Berichts aus dem Repository, das Vornehmen einer Änderung und das anschließende Speichern des Berichts, ohne die Vorschau zu betrachten, führte dazu, dass die gespeicherte Miniaturansicht des Berichts verschwand.
* Visueller Datenbank-Assistent:
  * Das Hinzufügen einer Datenquelle zu einem Bericht, der SQL-Felder enthielt, war fälschlicherweise nicht erlaubt.
  * Die Standard-SQL-Anweisung, die für die Konvertierung eines Berichts in SQL aus dem Assistenten für visuelle Datenbanken erstellt wurde, war nicht korrekt, wenn der Bericht eine Stored Procedure als Tabellenquelle enthielt.
* Parameterfeld-Eigenschaften:
  * Verschiedene Probleme mit der Benutzerfreundlichkeit und Fehler bei der Formatierung von Datum und Uhrzeit wurden behoben.
* Das Abbrechen einer versuchten Datenbankverbindung führte zur Anzeige eines Fehlers, obwohl die Verbindung korrekt geschlossen wurde.
* SQL-Ausdruck-Editor:
  * Das Hinzufügen eines SQL-Ausdruckfeldes zu einem Bericht, der eine Datenquelle enthielt, für die noch ein gültiges Kennwort erforderlich war, war nicht möglich - jetzt wird stattdessen das Kennwort abgefragt.
* Formel-Editor:
  * Die Formelfunktion "DefaultAttribute" hat bei keiner Eigenschaft funktioniert. Wenn die Eigenschaft keine benutzerdefinierte Vorgabe unterstützt, gibt die Funktion jetzt null statt eines Fehlers zurück.
* Übersetzer:
  * Die Übersetzungen in Unterberichten wurden nicht in der rpt-Datei gespeichert.
  * Es war nicht möglich, Subreports bei Bedarf mit Translator zu übersetzen.
  * Zur Ausführungszeit wurden die Übersetzungen nicht für Parameterfelder und Strings in Formeln verwendet.
  * Es war manchmal nicht möglich, Strings in einem Subreport mit dem Übersetzer zu übersetzen.
  * Es war nicht möglich, denselben Platzhalter, z. B. {0}, mehrfach in derselben Zeichenfolge zu verwenden.
* Kopieren und Einfügen von/zu Programmen mit HTML-Zwischenablageformat funktionierte nicht.
* Das Standardformat für Felder funktionierte nicht, wenn die Felder in Textfelder eingebettet wurden.
* Wenn eine Eigenschaftsformel nicht geparst werden konnte, wurde der Eigenschaftsdialog nicht angezeigt.
* Ein ausgewähltes Berichtselement wurde aus dem Bericht entfernt, wenn die Löschtaste gedrückt wurde, um ein Feld im Feldbrowser zu löschen, z.B. ein Parameterfeld.
* Die Eigenschaft "Mögliche Rückgängig-Schritte" wurde aus dem Dialog Designer-Optionen, Kategorie "Bearbeiten", entfernt.
* Die Eigenschaft "Manuelle Formatierung" im "Eigenschaftseditor", Kategorie "Text", war immer deaktiviert.
* Bericht als Ordner:
  * Wenn ein Bericht, der Bilder enthält, als Ordner gespeichert wurde, war es nicht möglich, ihn wieder zu öffnen, nachdem der Ordner dem Subversion-Kontrollsystem hinzugefügt wurde.
  * Wenn ein Bericht als Ordner gespeichert wurde, wurde die gesamte Ordnerstruktur überschrieben und nicht nur der Inhalt des Ordners. Daher wurden die .svn-Unterordner der Versionskontrolle vollständig entfernt.
* NullPointerException trat auf, nachdem die Aktualisierungsschaltfläche im Visual Database Wizard angeklickt wurde.

[security]

[security:de]
